package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.api.dto.qdto.QywxErrorLogListQDTO;
import com.gic.haoban.manage.service.entity.TabQywxErrorLog;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 企微报错日志(TabQywxErrorLog)表数据库访问层
 *
 * @author mozhu
 * @date 2022-04-18 15:28:11
 */
@Repository
public interface TabQywxErrorLogMapper {

    /**
     * 新增数据
     */
    int insert(TabQywxErrorLog tabQywxErrorLog);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabQywxErrorLog queryById(Long id);

    /**
     * 分页列表
     *
     * @param qywxErrorLogListQDTO qdto qywx错误日志列表
     * @return {@link List }<{@link TabQywxErrorLog }>
     * @author mozhu
     * @date 2022-04-18 16:55:23
     */
    List<TabQywxErrorLog> queryListByPage(QywxErrorLogListQDTO qywxErrorLogListQDTO);

}
